
/**
 * Title:        ASCII File Adapter<p>
 * Description:  This package contains all non JCA classes of the
 * ASCII file adapter.<p>
 * Copyright:    Copyright (c) Atul Apte<p>
 * Company:      iConexio Technologies Inc.<p>
 * @author Atul Apte
 * @version 1.0
 */
package com.iconexio.asciiFileAdapter;

import java.util.Vector;

public class ClientAPIImpl implements ClientAPI
{

  public ClientAPIImpl()
  {
    custService = new CustomerDataServiceAPIImpl();
  }

  public void extractRecords() throws Exception
  {
    ConfigAPIImpl c = new ConfigAPIImpl();
    try
    {
      custService.loadCustomerRecords(c.getDefaultMetadataFileName());
    }
    catch(Exception e)
    {
      throw e;
    }
  }

  public void extractRecords(String dataFileName, String metadataFileName)
                                          throws Exception
  {
    try
    {
      custService.loadCustomerRecords(metadataFileName, dataFileName);
    }
    catch(Exception e)
    {
      throw e;
    }
  }

  public Vector getCustomerRecordList()
  {
    return(custService.getCustomerRecordTable());
  }

  public boolean isCustomerRecordValid(CustomerRec aRec)
  {
    return(custService.isCustomerRecordValid(aRec));
  }

  private CustomerDataServiceAPIImpl custService;
}
