
/**
 * Title:        ASCII File Adapter<p>
 * Description:  This package contains all non JCA classes of the
 * ASCII file adapter.<p>
 * Copyright:    Copyright (c) Atul Apte<p>
 * Company:      iConexio Technologies Inc.<p>
 * @author Atul Apte
 * @version 1.0
 */
package com.iconexio.asciiFileAdapter;

// Objects of CustomerRec class hold the parsed customer data information
// Each customer record has a unique ID. There can be more then one records
// with the same ID as there can be multiple actions performed on a record
// including add, update, delete

public class CustomerRec
{
  public CustomerRec()
  {
    ID = null;
    name = null;
    actionID = 0x00;
    address = null;
    status = null;
    outstandingBal = (float)0.00;
  }

  // Since this customer record is supposed to be read-only all the setters are
  // declared as private methods accessible from the constuctor

  public CustomerRec(String ID, String name, String actionID, String address,
                     String status, String balance) {
    setID(ID);
    setName(name);
    setRecAction(actionID.charAt(0));
    setAddress(address);
    setStatus(status);
    Float x = new Float(1.00);
    x.parseFloat(balance);
    setOutstandingBal(x.parseFloat(balance));
  }
  public String getID() {
    return(ID);
  }
  private void setID(String theID) {
    ID = new String(theID);
  }
  public String getName() {
    return(name);
  }
  private void setName(String theName) {
    name = new String(theName);
  }
  public char getRecAction() {
    return(actionID);
  }
  private void setRecAction(char theAction) {
    actionID = theAction;
  }
  public String getAddress() {
    return(address);
  }
  private void setAddress(String theAddress) {
    address = new String(theAddress);
  }
  public float getOutstandingBal() {
    return(outstandingBal);
  }
  private void setOutstandingBal(float theBal) {
    outstandingBal = theBal;
  }
  private void setStatus(String theStatus) {
    status = new String(theStatus);
  }
  public String getStatus() {
    return(status);
  }
  public boolean isCustomerAccountActive() {
    if (status.equalsIgnoreCase("Active") == true)
       return(true);
    return(false);
  }

  private String ID;
  private String name;
  private char actionID; // A = Add, U = Update, D = Delete
  private String address;
  private float outstandingBal; // Default = 0.00
  private String status; // Active, Dormant, Bad Account
}
