/* Generated by Together */

package com.iconexio.asciiFileAdapter;

/**
 * A log manager is a generic interface to different types of audit
 * trails that track different aspects of the resource adapter.
 * Some of the audit trail will be managed local to the resource
 * adapter (on the same J2EE application server) while other audit
 * trails will be remote to the adapter. For example if a resource
 * adapter is integrating a CICS COBOL application then it may well
 * be necessary to maintain a log in the CICS environment as well as
 * the application server environment.
 *
 * Designing a log manager idependent of the actual location and
 * implementation is important part of adapter customization and
 * flexibility. In more advanced IT centers a NMS (Network Monitoring
 * System) based log manager may be needed.

 * An adapter may have to open more then one logs at the same time.
 * One of the customization could be to I18N one or more of the log
 * files. This will ensure that geographically distributed centers
 * and users get messages in local languages.
 *
 * @author Atul Apte
 * @version 1.0
 */
import java.io.*;

public interface LogManager {

    /* The LogManager implementation can open and manage more then one
     * logs of different types including transaction logs, system logs,
     * exception logs,and performance logs. Mode can be WRITE or APPEND
    */
    public void openLog(String logName, String mode) throws Exception;

    /* Some logs may need a secured access especially if the log file is
     * maintaining details of a business transaction and not just system
     * information. MODE can be WRITE or APPEND
    */
    public void
      openLog(String logName, String mode, String userID, String password)
             throws Exception;

    public void closeLog(String logName) throws IOException;
    public void logMessage(String logName, String logMessage)
             throws Exception;

    public void setTimestamp(String logName) throws Exception;
}
